﻿package myproject.navi {
	import flash.display.Sprite;
	import flash.events.Event;
	
	public class NaviBtnBack extends Sprite {
		
		private var _point:Array;
		public var nR:Number;
		public var lineColor:Number;
		public var btnColor:Number;
		
		public function NaviBtnBack( p_nR:Number , p_lineColor , p_btnColor ) {
			
			this.nR = p_nR;
			this.lineColor = p_lineColor;
			this.btnColor = p_btnColor;
			
			getbgPoint();
			getTagetPoint();
			addEventListener(Event.ENTER_FRAME , onEnterFrame);
		}
		
		private function onEnterFrame(e:Event) {
			
			var speed:Number = 20;
			
			var xc1:Number  = ( _point[0].x + _point[_point.length -1].x ) / 2;
			var yc1:Number  = ( _point[0].y + _point[_point.length -1].y ) / 2;
			this.graphics.clear();
			this.graphics.beginFill( btnColor ,0.7 );
			//this.graphics.lineStyle(1, lineColor, 0.8);
			this.graphics.moveTo( xc1 , yc1);
			
			for (var i:int = 0; i < _point.length -1; i++) {
				
				if ( Math.abs(_point[i].x - _point[i].tx) < 1) {
					getTagetPoint();
				}
				
				_point[i].x += (_point[i].tx - _point[i].x) / speed;
				_point[i].y += (_point[i].ty - _point[i].y) / speed;
				var xc:Number = ( _point[i].x + _point[i + 1].x ) / 2;
				var xy:Number = ( _point[i].y + _point[i + 1].y ) / 2;
				
				this.graphics.curveTo(_point[i].x , _point[i].y , xc  , xy );
			}
			
			this.graphics.curveTo(_point[i].x , _point[i].y , xc1  , yc1 );
			this.graphics.endFill();
		}
		
		private function getbgPoint():void {
			_point = new Array();

			var nSegments:Number = 8;
			var nAngle:Number = 2 * Math.PI / nSegments;

			for (var i:int = 0; i < nSegments; i++) {
				var nTheta:Number = i*nAngle
				var nAnchorX:Number = nR*Math.cos(nTheta);
				var nAnchorY:Number = nR*Math.sin(nTheta);
				_point[i] = new Object();
				_point[i].x = nAnchorX;
				_point[i].y = nAnchorY;
				_point[i].initx = nAnchorX;
				_point[i].inity = nAnchorY;
			}
			
		}
		
		private function getTagetPoint() {
			for (var i:int = 0; i < _point.length -1; i++) {
				_point[i].tx = _point[i].initx + Math.random() * 20 -10;
				_point[i].ty = _point[i].inity + Math.random() * 20 -10;
			}
		}
	}
	
}