﻿package myproject.pages {
	import flash.display.MovieClip;
	import jp.progression.casts.CastSprite;
	import jp.progression.commands.DoTweener;
	import flash.events.Event;
	
	public class Page2Page extends CastSprite {
		
		private var _mc_bg:MovieClip;
		
		public function Page2Page() {
			alpha = 0;
			_mc_bg = this["mc_bg"];
		}
		
		protected override function _onCastAdded():void {
			onStageResize(new Event(""));
			stage.addEventListener( Event.RESIZE , onStageResize);
			addCommand(
				// アニメーションを実行する
				new DoTweener( this, {
					alpha	:1,
					time	:1
				} )
			);
		}
		
		protected override function _onCastRemoved():void {
			stage.removeEventListener( Event.RESIZE , onStageResize);
			// コマンドを登録します。
			addCommand(
				// アニメーションを実行する
				new DoTweener( this, {
					alpha	:0,
					time	:1
				} )
			);
		}
		
		private function onStageResize(e:Event) {
			_mc_bg.width = stage.stageWidth;
			_mc_bg.height = stage.stageHeight;
		}
	}
	
}