﻿package myproject.navi {
	import flash.display.MovieClip;
	import jp.progression.casts.CastButton;
	import caurina.transitions.Tweener;
	import jp.progression.scenes.*;
	
	public class NaviButton1 extends CastButton {
		
		private var _text:MovieClip;
		private var _background:NaviBtnBack;
		
		public function NaviButton1() {
			
			// クリック時に移動する先のシーン識別子を指定します。
			sceneId = new SceneId( "/index" );
			
			// マウスオーバー時のツールチップ内容を指定します。
			toolTip.text = "indexに移動します。";
			
			_background = new NaviBtnBack(50 , 0xBF047E , 0xBF047E);
			this.addChild(_background);
			
			_text = new btn1Text();
			this.addChild(_text);
			_text.alpha = 0;
			
		}
		
		public function _textAlphaAdd() {
			Tweener.addTween( _text , {
				alpha :1 ,
				time :0.5
			} );
		}
		
		public function _textAlphaDel() {
			Tweener.addTween( _text , {
				alpha :0 ,
				time :0.5
			} );
		}
		
	}
	
}