﻿package myproject.navi {
	import flash.display.MovieClip;
	import jp.progression.casts.CastButton;
	import caurina.transitions.Tweener;
	import jp.progression.scenes.*;

	public class NaviButton2 extends CastButton {
		
		private var _text:MovieClip;
		private var _background:NaviBtnBack;
		
		public function NaviButton2() {
			
			// クリック時に移動する先のシーン識別子を指定します。
			sceneId = new SceneId( "/index/page1" );
			
			// マウスオーバー時のツールチップ内容を指定します。
			toolTip.text = "page1に移動します。";
			
			_background = new NaviBtnBack(50 , 0xF2DD72 , 0xF2DD72);
			this.addChild(_background);
			
			_text = new btn2Text();
			this.addChild(_text);
			_text.alpha = 0;
		}
		
		
		public function _textAlphaAdd() {
			Tweener.addTween( _text , {
				alpha :1 ,
				time :0.5
			} );
		}
		
		public function _textAlphaDel() {
			Tweener.addTween( _text , {
				alpha :0 ,
				time :0.5
			} );
		}
		
	}
	
}