﻿package myproject.scenes {
	import jp.progression.commands.*;
	import jp.progression.scenes.SceneObject;
	import myproject.navi.*;
	import myproject.pages.*;
	import flash.events.Event;
	
	public class IndexScene extends SceneObject {
		
		private var _navigation:Navigation;
		private var _page:IndexPage;
		
		public function IndexScene( name:String ) {
			super(name);
			
			title = "IndexScene";
			
			addChild( new Page1Scene("page1")) ;
			addChild( new Page2Scene("page2")) ;
			
			_navigation = new Navigation();
			_page = new IndexPage();
			
		}
		
		protected override function  _onLoad():void {
			
			addCommand(
				new AddChildAt( progression.container, _navigation, 100)
			);
		}
		
		protected override function _onInit():void {
			addCommand(
				new AddChildAt( progression.container, _page, 10 )
			);
		}
		
		protected override function _onGoto():void {
			// コマンドを登録します。
			addCommand(
				// 表示リストから削除します。
				new RemoveChild( progression.container, _page )
			);
		}

	}
	
}