﻿package myproject.scenes {
	import jp.progression.commands.*;
	import jp.progression.scenes.SceneObject;
	import myproject.pages.*;
	
	public class Page2Scene extends SceneObject {
		
		private var _page:Page2Page;
		
		public function Page2Scene( name:String ) {
			super( name );
			
			title = "IndexScene | Page2Scene";
			
			_page = new Page2Page();
		}
		
		protected override function _onLoad():void {
			// コマンドを登録します。
			addCommand(
				// 表示リストに追加します。
				new AddChildAt( progression.container, _page, 20 )
			);
		}
		
		protected override function _onUnload():void {
			// コマンドを登録します。
			addCommand(
				// 表示リストから削除します。
				new RemoveChild( progression.container, _page )
			);
		}
	}
	
}